Get current customer profile
Returns the profile of the currently authenticated customer
GET
/
api
/
v3
/
store
/
customers
/
me
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const customer = await client.customer.get({
token: '<token>',
})curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"id": "cust_UkLWZg9DAJ",
"email": "rochell@schoen.name",
"first_name": "Felix",
"last_name": "Rowe",
"phone": "555-555-0199",
"accepts_email_marketing": false,
"email_marketing_consent_updated_at": "2026-01-15T12:00:00Z",
"full_name": "Felix Rowe",
"available_store_credit_total": "0.00",
"display_available_store_credit_total": "$0.00",
"addresses": [
{
"id": "addr_UkLWZg9DAJ",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "483 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": true,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
},
{
"id": "addr_gbHJdmfrXB",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "484 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": true,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
}
],
"default_billing_address": {
"id": "addr_gbHJdmfrXB",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "484 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": true,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
},
"default_shipping_address": {
"id": "addr_UkLWZg9DAJ",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "483 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": true,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
},
"newsletter_subscriber": null,
"customer_groups": []
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}Authorizations
Query Parameters
Response
profile found
Was this page helpful?
⌘I
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const customer = await client.customer.get({
token: '<token>',
})curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"id": "cust_UkLWZg9DAJ",
"email": "rochell@schoen.name",
"first_name": "Felix",
"last_name": "Rowe",
"phone": "555-555-0199",
"accepts_email_marketing": false,
"email_marketing_consent_updated_at": "2026-01-15T12:00:00Z",
"full_name": "Felix Rowe",
"available_store_credit_total": "0.00",
"display_available_store_credit_total": "$0.00",
"addresses": [
{
"id": "addr_UkLWZg9DAJ",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "483 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": true,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
},
{
"id": "addr_gbHJdmfrXB",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "484 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": true,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
}
],
"default_billing_address": {
"id": "addr_gbHJdmfrXB",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "484 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": true,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
},
"default_shipping_address": {
"id": "addr_UkLWZg9DAJ",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "483 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": true,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": {
"id": "cust_UkLWZg9DAJ",
"type": "customer",
"name": null
}
},
"newsletter_subscriber": null,
"customer_groups": []
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}
